# Make HTTP Request

Makes an HTTP request

#### URL

* URL to send the HTTP request

#### Method

* HTTP method (GET, POST, PUT, PATCH, or DELETE)

#### Query string

* Query string to be added to the URL (e.g. <http://example.com/**?name=dk\\&age=29>\*\*)

#### Headers

* HTTP headers
  * Note: The `Content-Type` header is set automatically if the Body Type is JSON or Form

#### Body type

* Type of the request body
  * None
    * Request has no body
  * JSON
    * You can either put in a literal JSON object or use `JSON.stringify` in a Run Script command to generate the JSON
    * The `Content-Type` header is automatically set to `application/json`
  * Form
    * The `Content-Type` header is automatically set to `application/x-www-form-urlencoded`
  * Raw
    * The `Content-Type` header is NOT automatically set and must be added to the Headers field

#### Body (applicable if Body Type is not None)

* Request body

#### Variable to assign response

* Name of the variable to store the response
  * The response is a plain object with three properties:
    * `status`: The status of the response
    * `headers`: The headers of the response
    * `data`: The body of the response
  * Tip: When building a flow that uses Make HTTP Request, use the [Variables tab in the console](/guides/debugging-a-flow.md#console) to inspect the HTTP response


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.browserflow.app/reference/browserflow-commands/utilities/make-http-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
